// TestApp_eVCDlg.h : header file
//

#if !defined(AFX_TESTAPP_EVCDLG_H__BEC2B78F_EAD1_47B1_9FEC_7A47DFE65DE2__INCLUDED_)
#define AFX_TESTAPP_EVCDLG_H__BEC2B78F_EAD1_47B1_9FEC_7A47DFE65DE2__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "MySQLMobileInclude.h"

/////////////////////////////////////////////////////////////////////////////
// CTestApp_eVCDlg dialog

class CTestApp_eVCDlg : public CDialog
{
// Construction
public:
	CTestApp_eVCDlg(CWnd* pParent = NULL);	// standard constructor
	CTestApp_eVCDlg::~CTestApp_eVCDlg(); // destructor
// Dialog Data
	//{{AFX_DATA(CTestApp_eVCDlg)
	enum { IDD = IDD_TESTAPP_EVC_DIALOG };
	CString	m_Edit;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTestApp_eVCDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
private:
	BOOL fnLoadMySQLMobileFunctions();
	void fnAddMessage(CString str);
	char* GetAnsiString(const CString &s);
	HINSTANCE m_hMySQLMobileDll;
	BOOL m_bMySQLMobileReady;

	// MySQLMobile definitions

	typedef int (__cdecl *mysql_enable_compression_Proc)(int enable);
	typedef int (__cdecl *mysql_connect_Proc)(char *pszhost, int nport, char *pszusername, char *pszpassword);
	typedef int (__cdecl *mysql_disconnect_Proc)(void);
	typedef int (__cdecl *mysql_select_db_Proc)(char *pszDatabaseName);
	typedef int (__cdecl *mysql_execute_query_Proc)(char *pszQueryString);
	typedef void (__cdecl *mysql_get_last_error_Proc)(int nErrorCode, char* pszError);
	typedef int (__cdecl *mysql_get_last_insert_id_Proc)(void);
	typedef void (__cdecl *mysql_get_last_servermessage_Proc)(char *pszMessage);
	typedef int (__cdecl *mysql_get_fieldcount_Proc)(void);
	typedef int (__cdecl *mysql_get_field_Proc)(char *char_val, int &int_val, int nParam, int nIndex);
	typedef int (__cdecl *mysql_get_rowcount_Proc)(void);
	typedef int (__cdecl *mysql_get_data_Proc)(char *pszElem, int nRow, int nColumn);

	mysql_enable_compression_Proc mysql_enable_compression;
	mysql_connect_Proc mysql_connect;
	mysql_disconnect_Proc mysql_disconnect;
	mysql_select_db_Proc mysql_select_db;
	mysql_execute_query_Proc mysql_execute_query;
	mysql_get_last_error_Proc mysql_get_last_error;
	mysql_get_last_insert_id_Proc mysql_get_last_insert_id;
	mysql_get_last_servermessage_Proc mysql_get_last_servermessage;
	mysql_get_fieldcount_Proc mysql_get_fieldcount;
	mysql_get_field_Proc mysql_get_field;
	mysql_get_rowcount_Proc mysql_get_rowcount;
	mysql_get_data_Proc mysql_get_data;

protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CTestApp_eVCDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnConnectbtn();
	afx_msg void OnDisconnectbtn();
	afx_msg void OnSelectdbbtn();
	afx_msg void OnExecbtn();
	afx_msg void OnShowbtn();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft eMbedded Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TESTAPP_EVCDLG_H__BEC2B78F_EAD1_47B1_9FEC_7A47DFE65DE2__INCLUDED_)
