#ifdef MYSQLMOBILE_EXPORTS
#define MYSQLMOBILE_API __declspec(dllexport)
#else
#define MYSQLMOBILE_API __declspec(dllimport)
#endif

// This class is exported from the MySQLMobile.dll
class MYSQLMOBILE_API CMySQLMobile {
public:
	CMySQLMobile();
	~CMySQLMobile();
};

extern "C" MYSQLMOBILE_API void mysql_enable_compression(int enable);
extern "C" MYSQLMOBILE_API int mysql_connect(char *pszhost, int nport, char *pszusername, char *pszpassword);
extern "C" MYSQLMOBILE_API int mysql_disconnect();
extern "C" MYSQLMOBILE_API int mysql_select_db(char *pszDatabaseName);
extern "C" MYSQLMOBILE_API int mysql_execute_query(char *pszQueryString);
extern "C" MYSQLMOBILE_API void mysql_get_last_error(int nErrorCode, char* pszError);
extern "C" MYSQLMOBILE_API int mysql_get_last_insert_id();
extern "C" MYSQLMOBILE_API void mysql_get_last_servermessage(char *pszMessage);
extern "C" MYSQLMOBILE_API int mysql_get_fieldcount();
extern "C" MYSQLMOBILE_API int mysql_get_field(char *char_val, int &int_val, int nParam, int nIndex);
extern "C" MYSQLMOBILE_API int mysql_get_rowcount();
extern "C" MYSQLMOBILE_API int mysql_get_data(char *pszElem, int nRow, int nColumn);

extern "C" MYSQLMOBILE_API int mysql_connect_DOTNET(LPCTSTR host, int nport, LPCTSTR username, LPCTSTR password);
extern "C" MYSQLMOBILE_API int mysql_select_db_DOTNET(LPCTSTR pszDatabaseName);
extern "C" MYSQLMOBILE_API int mysql_execute_query_DOTNET(LPCTSTR pszQueryString);

