// MySQLMobile.h: interface for the CMySQLMobile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_MYSQLMOBILE_H__D2AB42BA_B4B0_46F9_857A_71615F61684A__INCLUDED_)
#define AFX_MYSQLMOBILE_H__D2AB42BA_B4B0_46F9_857A_71615F61684A__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#define FIELD_PARAM_CATALOG				1
#define FIELD_PARAM_DB					2
#define FIELD_PARAM_TABLE				3
#define FIELD_PARAM_ORIGTABLE			4
#define FIELD_PARAM_FIELD				5
#define FIELD_PARAM_ORIGFIELD			6
#define FIELD_PARAM_LENGTH				7
#define FIELD_PARAM_TYPE				8
#define FIELD_PARAM_FLAGS				9
#define FIELD_PARAM_DECIMALS			10

class CMySQLMobile  
{
public:
	CMySQLMobile();
	virtual ~CMySQLMobile();

	void CMySQLMobile::mysql_enable_compression(int enable);
	int CMySQLMobile::mysql_connect(char *pszhost, int nport, char *pszusername, char *pszpassword);
	int CMySQLMobile::mysql_disconnect();
	int CMySQLMobile::mysql_select_db(char *pszDatabaseName);
	int CMySQLMobile::mysql_execute_query(char *pszQueryString);
	void CMySQLMobile::mysql_get_last_error(int nErrorCode, char* pszError);
	int CMySQLMobile::mysql_get_last_insert_id();
	void CMySQLMobile::mysql_get_last_servermessage(char *pszMessage);
	int CMySQLMobile::mysql_get_fieldcount();
	int CMySQLMobile::mysql_get_field(char *char_val, int &int_val, int nParam, int nIndex);
	int CMySQLMobile::mysql_get_rowcount();
	int CMySQLMobile::mysql_get_data(char *pszElem, int nRow, int nColumn);

};

#endif // !defined(AFX_MYSQLMOBILE_H__D2AB42BA_B4B0_46F9_857A_71615F61684A__INCLUDED_)
